Confirm an authoritative provider payment
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/payments \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'If-Match: <if-match>' \
--header 'X-Cart-Token: <api-key>' \
--data '
{
"provider": "SQUARE",
"sourceId": "<string>",
"quoteRevision": "<string>",
"tenderType": "CARD",
"storedPaymentMethodId": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/payments"
payload = {
"provider": "SQUARE",
"sourceId": "<string>",
"quoteRevision": "<string>",
"tenderType": "CARD",
"storedPaymentMethodId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"If-Match": "<if-match>",
"X-Cart-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'If-Match': '<if-match>',
'X-Cart-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
provider: 'SQUARE',
sourceId: '<string>',
quoteRevision: '<string>',
tenderType: 'CARD',
storedPaymentMethodId: '<string>'
})
};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "SQUARE",
"status": "TENDER_REQUIRED",
"orderId": "<string>",
"remaining": {
"amount": 4503599627370495
},
"approvedTenders": [
{
"paymentId": "<string>",
"approvedAmount": {
"amount": 4503599627370495
}
}
]
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}Checkout
Confirm an authoritative provider payment
POST
/
locations
/
{locationId}
/
carts
/
{cartId}
/
payments
Confirm an authoritative provider payment
Authorizations
StorefrontCartCapabilityStorefrontCustomerAuth
Purpose-limited capability returned for a guest cart.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Current cart ETag returned by the API.
Pattern:
^(?:W/)?"cart-(?:0|[1-9][0-9]*)"$Path Parameters
Required string length:
1 - 128Required string length:
1 - 128Body
application/json
- Option 1
- Option 2
Available options:
SQUARE Required string length:
1 - 1024Required string length:
1 - 128Available options:
CARD, GIFT_CARD, STORED_CARD, WALLET Required string length:
1 - 128Show child attributes
Show child attributes
Response
Confirmed completed provider payment and order.
- Option 1
- Option 2
- Option 3
⌘I